ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015571ClearOSbuild-release - Operating Systempublic2017-07-06 13:382017-08-06 20:17
Reporterpbaldwin 
Assigned Todloper 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6.9.0 
Target Version6.9.0 UpdatesFixed in Version6.9.0 Updates 
Summary0015571: Create an upstream maintenance workflow
DescriptionThe ClearOS 6 build system is switching from Plague to Koji. The CVS workflow for patching upstream packages no longer works well.
 I'm not a build system expert, so some of these possible options might not even be feasible:

- Investigate what Nethserver is doing for builds
- Investigate whether Koji can build from CVS
- Create an import script based off of the old cvs-import.sh
- Keep using CVS, but munge the result into git
- Keep the existing workflow but change last command from "make build" to "make mockbuild", and then copy the results into a repo somewhere.
- Other?


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-07-06 13:38 pbaldwin New Issue
2017-07-06 13:52 pbaldwin Assigned To => pbaldwin
2017-07-06 13:52 pbaldwin Status new => confirmed
2017-07-07 11:47 pbaldwin Assigned To pbaldwin => dloper
2017-07-07 11:47 pbaldwin Status confirmed => assigned
2017-08-06 20:17 pbaldwin Status assigned => resolved
2017-08-06 20:17 pbaldwin Fixed in Version => 6.9.0 Updates
2017-08-06 20:17 pbaldwin Resolution open => fixed
2017-08-06 20:17 pbaldwin Status resolved => closed